Package org.eclipse.mat.parser.internal.oql.compiler

## Class Query.SelectClause

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.Query.SelectClause

Enclosing class:
  Query

    public static class Query.SelectClause
    extends java.lang.Object

### Constructor Summary

Constructors
`SelectClause()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<Query.SelectItem>` `getSelectList()`
`boolean` `isAsObjects()`
`boolean` `isDistinct()`
`boolean` `isRetainedSet()`
`void` `setAsObjects​(boolean asObjects)`
`void` `setDistinct​(boolean isDistinct)`
`void` `setRetainedSet​(boolean isRetainedSet)`
`void` `setSelectList​(java.util.List<Query.SelectItem> selectList)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectClause

    public SelectClause()

### Method Detail

#### isDistinct

    public boolean isDistinct()

#### setDistinct

    public void setDistinct​(boolean isDistinct)

#### isRetainedSet

    public boolean isRetainedSet()

#### setRetainedSet

    public void setRetainedSet​(boolean isRetainedSet)

#### isAsObjects

    public boolean isAsObjects()

#### setAsObjects

    public void setAsObjects​(boolean asObjects)

#### getSelectList

    public java.util.List<Query.SelectItem> getSelectList()

#### setSelectList

    public void setSelectList​(java.util.List<Query.SelectItem> selectList)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`